| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
wxAuiDockInfo Class Reference

`#include <wx/aui/framemanager.h>`

## Public Member Functions

| wxAuiDockInfo ()
| wxAuiDockInfo (const wxAuiDockInfo &c)
wxAuiDockInfo & | operator= (const wxAuiDockInfo &c)
bool | IsOk () const
bool | IsHorizontal () const
bool | IsVertical () const

## Public Attributes

wxAuiPaneInfoPtrArray | panes
wxRect | rect
int | dock_direction
int | dock_layer
int | dock_row
int | size
int | min_size
bool | resizable
bool | toolbar
bool | fixed
bool | reserved1

## Constructor & Destructor Documentation

wxAuiDockInfo::wxAuiDockInfo | ( |  | ) |

wxAuiDockInfo::wxAuiDockInfo | ( | const wxAuiDockInfo & | c | ) |

## Member Function Documentation

bool wxAuiDockInfo::IsHorizontal | ( |  | ) | const

bool wxAuiDockInfo::IsOk | ( |  | ) | const

bool wxAuiDockInfo::IsVertical | ( |  | ) | const

wxAuiDockInfo& wxAuiDockInfo::operator= | ( | const wxAuiDockInfo & | c | ) |

## Member Data Documentation

int wxAuiDockInfo::dock_direction

int wxAuiDockInfo::dock_layer

int wxAuiDockInfo::dock_row

bool wxAuiDockInfo::fixed

int wxAuiDockInfo::min_size

wxAuiPaneInfoPtrArray wxAuiDockInfo::panes

wxRect wxAuiDockInfo::rect

bool wxAuiDockInfo::reserved1

bool wxAuiDockInfo::resizable

int wxAuiDockInfo::size

bool wxAuiDockInfo::toolbar